Hosting Requirements

According to the official WordPress documentation, the following hosting specifications are recommend;

  1. PHP version 7.3 or greater.
  2. MySQL version 5.6 or greater OR MariaDB version 10.1 or greater.
  3. HTTPS support

The full list of WordPress requirements can be found here: https://wordpress.org/about/requirements/

Additional Theme Requirements

We do not require any additional functionality for the theme to function however we have additonal features that will work if your hosting enviorment supports them.

  1. FFMEG PHP Extention – used for video thumbnails.

Recommended Hosting Providers

We have a list of our recommended hosting providers that are tested to ensure fully compatibility with our products.

https://www.premiumpress.com/wordpress-hosting/


Was this page helpful?